Bug 243294 - getopt_long(3) has a tiny spelling typo
Summary: getopt_long(3) has a tiny spelling typo
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-01-12 11:40 UTC by Igor Ostapenko
Modified: 2020-05-24 10:20 UTC (History)
2 users (show)

See Also:


Attachments
getopt_long.3.diff (360 bytes, patch)
2020-01-12 11:40 UTC, Igor Ostapenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Igor Ostapenko 2020-01-12 11:40:03 UTC
Created attachment 210655 [details]
getopt_long.3.diff

It's just about s/argments/arguments/
Comment 1 commit-hook freebsd_committer 2020-05-19 11:05:31 UTC
A commit references this bug:

Author: bcr
Date: Tue May 19 11:05:28 UTC 2020
New revision: 361249
URL: https://svnweb.freebsd.org/changeset/base/361249

Log:
  Fix a typo: argments -> arguments

  PR:		243294
  Submitted by:	Igor Ostapenko
  MFC after:	5 days

Changes:
  head/lib/libc/stdlib/getopt_long.3
Comment 2 Benedict Reuschling freebsd_committer 2020-05-19 11:06:53 UTC
Good catch, thanks for filing this PR. I just committed your patch.
Comment 3 commit-hook freebsd_committer 2020-05-24 10:17:39 UTC
A commit references this bug:

Author: bcr
Date: Sun May 24 10:16:47 UTC 2020
New revision: 361432
URL: https://svnweb.freebsd.org/changeset/base/361432

Log:
  MFC r361249:

  Fix a typo: argments -> arguments

  PR:		243294
  Submitted by:	Igor Ostapenko
  MFC after:	5 days

Changes:
_U  stable/12/
  stable/12/lib/libc/stdlib/getopt_long.3
Comment 4 Benedict Reuschling freebsd_committer 2020-05-24 10:20:14 UTC
MFC to stable/12 is done, no need to keep this PR open any longer. Thanks for filing it.